using C4IT.FASD.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace FasdDesktopUi.Basics.Converter
{
    public class InternalEnumConverter
    {
        public static HorizontalAlignment GetHorizontalAlignment(enumF4sdHorizontalAlignment intern)
        {
            switch (intern)
            {
                case enumF4sdHorizontalAlignment.Default:
                    return HorizontalAlignment.Left;
                case enumF4sdHorizontalAlignment.Right:
                    return HorizontalAlignment.Right;
                case enumF4sdHorizontalAlignment.Center:
                    return HorizontalAlignment.Center;
                case enumF4sdHorizontalAlignment.Left:
                    return HorizontalAlignment.Left;
                default:
                    throw new NotImplementedException();
            }
        }

        public static enumF4sdHorizontalAlignment GetHorizontalAlignment(HorizontalAlignment alignment)
        {
            switch (alignment)
            {
                case HorizontalAlignment.Left:
                    return enumF4sdHorizontalAlignment.Left;
                case HorizontalAlignment.Center:
                    return enumF4sdHorizontalAlignment.Center;
                case HorizontalAlignment.Right:
                    return enumF4sdHorizontalAlignment.Right;
                case HorizontalAlignment.Stretch:
                    return enumF4sdHorizontalAlignment.Left;
                default:
                    throw new NotImplementedException();
            }
        }
    }
}
